import Flutter
import UIKit
import Adbrix

public class SwiftFlutterAdbrixPlugin: NSObject, FlutterPlugin {
  public static func register(with registrar: FlutterPluginRegistrar) {
    let channel = FlutterMethodChannel(name: "com.dh/flutter_adbrix", binaryMessenger: registrar.messenger())
    let instance = SwiftFlutterAdbrixPlugin()
    registrar.addMethodCallDelegate(instance, channel: channel)
  }

  public func handle(_ call: FlutterMethodCall, result: @escaping FlutterResult) {

    if call.method == "Adbrix.FirstTimeExperience"
    {
        Adbrix.FirstTimeExperience(FlutterMethodCall["strEvent"])
        result(FlutterMethodNotImplemented)
        return
    }
    else if call.method == "Adbrix.retention"
    {
        Adbrix.retention(FlutterMethodCall["strEvent"])
        result(FlutterMethodNotImplemented)
        return
    }
    else
    {
        result(FlutterMethodNotImplemented)
        return
    }    
  }
}
